Use the stable version of behat and its components

Bug #1424862 reported by Son Nguyen on 2015-02-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen

Bug Description

Version: master (15.04)

Currently, behat is installed via Composer and it will be updated before running the tests.
It would be better to fix the stable version of behat and its components to prevent some issues when updating it, e.g. deprecated methods.

For mahara 15.04, I'd set the dependencies in composer.json:

{
    "require": {
        "php": ">=5.3.1",
        "behat/behat": "2.5.4",
        "behat/mink": "1.6.0",

        "behat/mink-extension": "*",

        "behat/mink-goutte-driver": "*",
        "behat/mink-selenium2-driver": "*",
        "fabpot/goutte": "~1.0"
    }
}

Son Nguyen (ngson2000) on 2015-02-23
Changed in mahara:
importance: Undecided → High
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/4312
Committed: http://gitorious.org/mahara/mahara/commit/e6c64c6c5d0d2d57846c7ceadc499fda1640264c
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit e6c64c6c5d0d2d57846c7ceadc499fda1640264c
Author: Son Nguyen <email address hidden>
Date: Tue Feb 24 12:11:04 2015 +1300

Use the stable version of behat and its components. Bug 1424862

Change-Id: Iffe01df9f40081c2b8dfa7874fa984599446710c

Robert Lyon (robertl-9) on 2015-02-24
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers